Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs	(revision 1449)
@@ -43,5 +43,5 @@
       clientGroups = new List<ClientGroup>();
 
-      ClientGroup cg = new ClientGroup { Id = 4, Name = "SuperGroup" };
+      ClientGroup cg = new ClientGroup { Id = Guid.NewGuid(), Name = "SuperGroup" };
       cg.Resources = new List<Resource>();
 
@@ -93,5 +93,5 @@
       Response response = new Response();
 
-      if (clientGroup.Id != 0) {
+      if (clientGroup.Id != Guid.Empty) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_ID_MUST_NOT_BE_SET;
@@ -111,8 +111,8 @@
     /// <param name="resource"></param>
     /// <returns></returns>
-    public Response AddResourceToGroup(long clientGroupId, Resource resource) {
+    public Response AddResourceToGroup(Guid clientGroupId, Resource resource) {
       Response response = new Response();
 
-      if (resource.Id != 0) {
+      if (resource.Id != Guid.Empty) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_ID_MUST_NOT_BE_SET;
@@ -140,5 +140,5 @@
     /// <param name="resourceId"></param>
     /// <returns></returns>
-    public Response DeleteResourceFromGroup(long clientGroupId, long resourceId) {
+    public Response DeleteResourceFromGroup(Guid clientGroupId, Guid resourceId) {
       Response response = new Response();
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/DbTestApp.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/DbTestApp.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/DbTestApp.cs	(revision 1449)
@@ -43,20 +43,19 @@
       ClientInfo client = new ClientInfo();
       client.Login = DateTime.Now;
-      client.ClientId = Guid.NewGuid();
       clientAdapter.Update(client);
 
       ClientInfo clientRead =
-        clientAdapter.GetById(client.ClientId);
+        clientAdapter.GetById(client.Id);
       Debug.Assert(
         clientRead != null &&
-        client.ClientId == clientRead.ClientId);
+        client.Id == clientRead.Id);
 
       client.CpuSpeedPerCore = 2000;
       clientAdapter.Update(client);
       clientRead =
-        clientAdapter.GetById(client.ClientId);
+        clientAdapter.GetById(client.Id);
       Debug.Assert(
        clientRead != null &&
-       client.ClientId == clientRead.ClientId &&
+       client.Id == clientRead.Id &&
        clientRead.CpuSpeedPerCore == 2000);
 
@@ -78,5 +77,4 @@
         new ClientInfo();
       client.Name = "Stefan";
-      client.ClientId = Guid.NewGuid();
       client.Login = DateTime.Now;
 
@@ -84,5 +82,4 @@
         new ClientInfo();
       client2.Name = "Martin";
-      client2.ClientId = Guid.NewGuid();
       client2.Login = DateTime.Now;
 
@@ -90,5 +87,4 @@
         new ClientInfo();
       client3.Name = "Heinz";
-      client3.ClientId = Guid.NewGuid();
       client3.Login = DateTime.Now;
 
@@ -146,5 +142,4 @@
 
       ClientInfo client = new ClientInfo();
-      client.ClientId = Guid.NewGuid();
       client.Login = DateTime.Now;
 
@@ -164,5 +159,4 @@
 
       ClientInfo client = new ClientInfo();
-      client.ClientId = Guid.NewGuid();
       client.Login = DateTime.Now;
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/JobManager.cs	(revision 1449)
@@ -121,5 +121,5 @@
           return response;
         }
-        if (job.Id != 0) {
+        if (job.Id != Guid.Empty) {
           response.Success = false;
           response.StatusMessage = ApplicationConstants.RESPONSE_JOB_ID_MUST_NOT_BE_SET;
@@ -150,5 +150,5 @@
     /// <param name="jobId"></param>
     /// <returns></returns>
-    public Response RemoveJob(long jobId) {
+    public Response RemoveJob(Guid jobId) {
       Response response = new Response();
 
@@ -166,5 +166,5 @@
     }
 
-    public ResponseObject<JobResult> GetLastJobResultOf(long jobId) {
+    public ResponseObject<JobResult> GetLastJobResultOf(Guid jobId) {
       ResponseObject<JobResult> response = new ResponseObject<JobResult>();
       response.Success = true;
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ServerConsoleFacade.cs	(revision 1449)
@@ -72,9 +72,9 @@
     }
 
-    public Response AddResourceToGroup(long clientGroupId, Resource resource) {
+    public Response AddResourceToGroup(Guid clientGroupId, Resource resource) {
       return clientManager.AddResourceToGroup(clientGroupId, resource);
     }
 
-    public Response DeleteResourceFromGroup(long clientGroupId, long resourceId) {
+    public Response DeleteResourceFromGroup(Guid clientGroupId, Guid resourceId) {
       return clientManager.DeleteResourceFromGroup(clientGroupId, resourceId);
     }
@@ -91,9 +91,9 @@
     }
 
-    public ResponseObject<JobResult> GetLastJobResultOf(long jobId) {
+    public ResponseObject<JobResult> GetLastJobResultOf(Guid jobId) {
       return jobManager.GetLastJobResultOf(jobId);
     }
 
-    public Response RemoveJob(long jobId) {
+    public Response RemoveJob(Guid jobId) {
       return jobManager.RemoveJob(jobId);
     }
Index: /trunk/sources/HeuristicLab.Security.Contracts/BusinessObjects/PersistableObject.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.Contracts/BusinessObjects/PersistableObject.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Security.Contracts/BusinessObjects/PersistableObject.cs	(revision 1449)
@@ -24,8 +24,9 @@
 using System.Text;
 using System.Runtime.Serialization;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.Contracts {
   [DataContract]
-  public class PersistableObject {
+  public class PersistableObject: IPersistableObject {
     [DataMember]
     public Guid Id { get; set; }
Index: /trunk/sources/HeuristicLab.Security.DataAccess/HeuristicLab.Security.DataAccess.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Security.DataAccess/HeuristicLab.Security.DataAccess.csproj	(revision 1448)
+++ /trunk/sources/HeuristicLab.Security.DataAccess/HeuristicLab.Security.DataAccess.csproj	(revision 1449)
@@ -72,5 +72,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="IDataAdapter.cs" />
     <Compile Include="IPermissionAdapter.cs" />
     <Compile Include="IPermissionOwnerAdapter.cs" />
Index: /trunk/sources/HeuristicLab.Security.DataAccess/IPermissionAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.DataAccess/IPermissionAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Security.DataAccess/IPermissionAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
Index: /trunk/sources/HeuristicLab.Security.DataAccess/IPermissionOwnerAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.DataAccess/IPermissionOwnerAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Security.DataAccess/IPermissionOwnerAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
Index: /trunk/sources/HeuristicLab.Security.DataAccess/IUserAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.DataAccess/IUserAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Security.DataAccess/IUserAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
Index: /trunk/sources/HeuristicLab.Security.DataAccess/IUserGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.DataAccess/IUserGroupAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Security.DataAccess/IUserGroupAdapter.cs	(revision 1449)
@@ -24,4 +24,5 @@
 using System.Text;
 using HeuristicLab.Security.Contracts.BusinessObjects;
+using HeuristicLab.DataAccess.Interfaces;
 
 namespace HeuristicLab.Security.DataAccess {
